.modal {
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background: rgba(0, 0, 0, 0.7);
}

.modal__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 35%;
    margin: 20% auto;
    background: rgb(8, 12, 17);
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.8);
    border-radius: 10px;
}

.modal__header {
    width: 100%;
    height: 65px;
    margin: 0 auto;
    background: rgb(33, 16, 33);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.modal__close {
    transition: all 0.2s ease-out;
    padding: 10px 15px;
    font-size: 30px;
    color: #ffffff;
    cursor: pointer;
}
.modal__close:hover {
    color: #424141;
}

.modal__title {
    padding: 20px 25px;
    font-size: 20px;
    color: #ffffff;
}
.modal__text {
    padding: 0px 25px;
    font-size: 20px;
    line-height: 26px;
    text-align: center;
    color: #ffffff;
}

.action-content {
    display: flex;
    justify-content: center;
    gap: 30px;
    padding-bottom: 30px;
}

.action-btn {
    width: 100px;
    height: 20px;
    font-size: 18px;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    cursor: pointer;
    background: rgb(49, 37, 77);
    border: none;
    border-radius: 5px;
    padding: 20px;
}

.action-btn:hover {
    transition: all 0.2s ease-out;
    background-color: #8f009c;
}